Bug 1246 - Samba 3.0.3pre1 installation bug
Samba 3.0.3pre1 installation bug
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: winbind
3.0.2a
All Linux
: P3 normal
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-05 19:01 UTC by MCSE+RCE
Modified: 2005-11-14 09:29 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description MCSE+RCE 2004-04-05 19:01:37 UTC
After installation of Samba-3.0.3pre1. The winbind will not start. I have 
attached the screen dump below.

We are running on a Fedora Core 1 with kernel-2.6.4-1.302. We have joined the 
samba server to a native windows 2000 domain with acl/ea support. It work fine 
on the 3.0.2a release.


[root@cc1017 tmp]# /sbin/service smb restart
Shutting down SMB services:   OK  ]
Shutting down NMB services:   OK  ]
Starting SMB services:   OK  ]
Starting NMB services:   OK  ]
[root@cc1017 tmp]# /sbin/service winbindd restart
winbindd: unrecognized service
[root@cc1017 tmp]# /sbin/service winbind restart
/etc/init.d/winbind: line 55: syntax error near unexpected token `&&'
/etc/init.d/winbind: line 55: `         && && rm -f /var/run/nmbd.pid \ '
Comment 1 MCSE+RCE 2004-04-07 19:12:27 UTC

I have dowloaded the samba-3.0.3pre2. But the winbind can not start. Plz refer 
to the screen dump below.

We are running on a Fedora Core 1 with kernel 2.6.5-1.308.i686. The samba 
server (3.0.2a) was joined to a natice ADS Domain with ACL/EA support.

*** Screen Dump start ****

[root@cc1017 tmp]# /sbin/service smb restart
Shutting down SMB services:   OK  ]
Shutting down NMB services:   OK  ]
Starting SMB services:   OK  ]
Starting NMB services:   OK  ]
[root@cc1017 tmp]# /sbin/service winbind restart
/etc/init.d/winbind: line 55: syntax error near unexpected token `&&'
/etc/init.d/winbind: line 55: `         && && rm -f /var/run/nmbd.pid \ '
[root@cc1017 tmp]# /sbin/service winbind stop
/etc/init.d/winbind: line 55: syntax error near unexpected token `&&'
/etc/init.d/winbind: line 55: `         && && rm -f /var/run/nmbd.pid \ '
Comment 2 Gerald (Jerry) Carter 2004-04-19 18:35:39 UTC
should be fixed for upcoming 3.0.3rc1
Comment 3 MCSE+RCE 2004-04-21 22:51:08 UTC
After installation of Samba-3.0.3rc1. The winbind still will not start. I have 
attached the screen dump below.

We are running on a Fedora Core 1 with kernel-2.6.4-1.322. We have joined the 
samba server to a native windows 2000 domain with acl/ea support. It work fine 
on the 3.0.2a release.


*** Screen Dump Start **** 
[root@cc1017 samba]# rpm -qa samba*
samba-client-3.0.3rc1-1
samba-3.0.3rc1-1
samba-swat-3.0.3rc1-1
samba-common-3.0.3rc1-1
[root@cc1017 samba]# /sbin/service smb restart
Shutting down SMB services:   OK  ]
Shutting down NMB services:   OK  ]
Starting SMB services:   OK  ]
Starting NMB services:   OK  ]
[root@cc1017 samba]# /sbin/service winbind restart
/etc/init.d/winbind: line 56: syntax error near unexpected token `&&'
/etc/init.d/winbind: line 56: `         && rm -f /var/lock/subsys/winbindd'
[root@cc1017 samba]#

*** Screen Dump Stop ***
Comment 4 MCSE+RCE 2004-05-02 23:53:07 UTC
I downloaded the samba-3.0.3-1 and test on our Fedora Core 1 with kernel-2.6.5-
339.i686 with Windows 2003 ADS/ACL/EA support. This problem is fixed. It is a 
very good product.
Comment 5 Gerald (Jerry) Carter 2004-05-03 07:44:35 UTC
Thanks for the update.
Comment 6 Gerald (Jerry) Carter 2005-02-07 07:39:48 UTC
originally reported against 3.0.3pre1.  Moving back to version to 3.0.2a
to remove preX and rcX versions.
Comment 7 Gerald (Jerry) Carter 2005-02-07 07:42:10 UTC
originally reported against 3.0.3pre2.  Moving back to version to 3.0.2a
to remove preX and rcX versions.
Comment 8 Gerald (Jerry) Carter 2005-08-24 10:26:23 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 9 Gerald (Jerry) Carter 2005-11-14 09:29:51 UTC
database cleanup